Debian Bug report logs - #531572
busybox: mkswap should generate UUIDs

version graph

Package: busybox; Maintainer for busybox is Debian Install System Team <debian-boot@lists.debian.org>; Source for busybox is src:busybox.

Reported by: Colin Watson <cjwatson@ubuntu.com>

Date: Tue, 2 Jun 2009 13:36:02 UTC

Severity: wishlist

Tags: patch

Found in version busybox/1:1.13.3-1

Fixed in version busybox/1:1.14.2-1

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#531572; Package busybox. (Tue, 02 Jun 2009 13:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 02 Jun 2009 13:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: submit@bugs.debian.org
Subject: busybox: mkswap should generate UUIDs
Date: Tue, 2 Jun 2009 14:33:56 +0100
[Message part 1 (text/plain, inline)]
Package: busybox
Version: 1:1.13.3-1
Severity: wishlist
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu ubuntu-patch karmic

Since the rest of the installer is moving to UUIDs by default, busybox
mkswap needs to generate swap areas containing UUIDs in order that they
can be used. I've attached a patch to take care of this. (Yes, printing
the UUID to stdout is intentional, mirroring util-linux's mkswap.) Most
of the necessary code was already there.

Thanks,

-- 
Colin Watson                                       [cjwatson@ubuntu.com]
[busybox.mkswap.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#531572; Package busybox. (Tue, 21 Jul 2009 18:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Max Vozeler <xam@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 21 Jul 2009 18:30:05 GMT) Full text and rfc822 format available.

Message #10 received at 531572@bugs.debian.org (full text, mbox):

From: Max Vozeler <xam@debian.org>
To: 531572@bugs.debian.org
Subject: backport of mkswap UUID support from git
Date: Tue, 21 Jul 2009 20:26:38 +0200
[Message part 1 (text/plain, inline)]
UUID support has made it upstream after 1.14.2 was
released. I'm attaching a backport to 1.14.2.

Build-tested, not runtime-tested.

	Max
[busybox-mkswap-uuid-debian.patch (text/x-diff, attachment)]

Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. (Sat, 08 Aug 2009 20:09:22 GMT) Full text and rfc822 format available.

Notification sent to Colin Watson <cjwatson@ubuntu.com>:
Bug acknowledged by developer. (Sat, 08 Aug 2009 20:09:22 GMT) Full text and rfc822 format available.

Message #15 received at 531572-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 531572-close@bugs.debian.org
Subject: Bug#531572: fixed in busybox 1:1.14.2-1
Date: Sat, 08 Aug 2009 19:47:05 +0000
Source: busybox
Source-Version: 1:1.14.2-1

We believe that the bug you reported is fixed in the latest version of
busybox, which is due to be installed in the Debian FTP archive:

busybox-static_1.14.2-1_amd64.deb
  to pool/main/b/busybox/busybox-static_1.14.2-1_amd64.deb
busybox-udeb_1.14.2-1_amd64.udeb
  to pool/main/b/busybox/busybox-udeb_1.14.2-1_amd64.udeb
busybox_1.14.2-1.diff.gz
  to pool/main/b/busybox/busybox_1.14.2-1.diff.gz
busybox_1.14.2-1.dsc
  to pool/main/b/busybox/busybox_1.14.2-1.dsc
busybox_1.14.2-1_amd64.deb
  to pool/main/b/busybox/busybox_1.14.2-1_amd64.deb
busybox_1.14.2.orig.tar.gz
  to pool/main/b/busybox/busybox_1.14.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 531572@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated busybox package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 08 Aug 2009 11:14:42 +0200
Source: busybox
Binary: busybox busybox-static busybox-udeb
Architecture: source amd64
Version: 1:1.14.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 busybox    - Tiny utilities for small and embedded systems
 busybox-static - Standalone rescue shell with tons of builtin utilities
 busybox-udeb - Tiny utilities for the debian-installer (udeb)
Closes: 531572
Changes: 
 busybox (1:1.14.2-1) unstable; urgency=low
 .
   [ Bastian Blank ]
   * New upstream release.
   * [deb, static] Enable udhcpd and dumpleases.
 .
   [ Otavio Salvador ]
   * [udeb] Add an udhcpc script to be used by netcfg.
 .
   [ Max Vozeler ]
   * Backport mkswap UUID support. (closes: #531572)
Checksums-Sha1: 
 4e174fb2461c740b4d0e42562b78fb83fb18e08a 1074 busybox_1.14.2-1.dsc
 f70dfb426edfb09441d8ca647dfc71fcce53f9d0 2580843 busybox_1.14.2.orig.tar.gz
 737a143c77a7cd1645ae78c1263d9dfd1150f72f 25580 busybox_1.14.2-1.diff.gz
 b2a47f11eba0ca9aa65b71bb33853f7dba7ad6cb 952422 busybox-static_1.14.2-1_amd64.deb
 5f7f6acab0cd6698299cdd221b6a3c116fe5b323 356026 busybox_1.14.2-1_amd64.deb
 640a98ce2c9dd95811ef9b66dd0fdf2db2152ca9 150600 busybox-udeb_1.14.2-1_amd64.udeb
Checksums-Sha256: 
 560575f88776d563f9fc35f3bef0a66cb5339e524cd1dd9f4174a4646f2be9b4 1074 busybox_1.14.2-1.dsc
 8c4216907ab6534a1e2ff36b5efe41c71879e4674674bbda715597126df1586c 2580843 busybox_1.14.2.orig.tar.gz
 90f4cd9bbe4f2cacaa4ef47e1f9cf1584077bf0e52f1a9bef27747923c06dc03 25580 busybox_1.14.2-1.diff.gz
 914cd9dadc5c2701784bb824624e8ff52e377636ef80e6b3ba6919fe0504e909 952422 busybox-static_1.14.2-1_amd64.deb
 13ff79f3b1ecc47a5abaf94f932cf8c7f2a51e6810f218bad07fbe185ce168dc 356026 busybox_1.14.2-1_amd64.deb
 f0a785f7ce3fb92f31880130680bbea53179e9452ddd2add21016267f089e89a 150600 busybox-udeb_1.14.2-1_amd64.udeb
Files: 
 bc1b0fbf85438b96eba39b2cd452c7c5 1074 utils optional busybox_1.14.2-1.dsc
 610e86bc76db55a193c83d9a3bbcfaa1 2580843 utils optional busybox_1.14.2.orig.tar.gz
 9d389d4cd1e81b787c7b101692cfbf6d 25580 utils optional busybox_1.14.2-1.diff.gz
 2fa7421dca019591bfa44c6d26d9b596 952422 shells extra busybox-static_1.14.2-1_amd64.deb
 4f270378eeeb5aa778816aad348ec77b 356026 utils optional busybox_1.14.2-1_amd64.deb
 ab7f60424be378104e86a2c9682c6b71 150600 debian-installer extra busybox-udeb_1.14.2-1_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkp90fMACgkQLkAIIn9ODhE2BgCgws2KCEV1Q3tFeM40eVLWJ2sw
uw0AnjtOhDmfXXpzmjGzCuKem17c6Flz
=vk1N
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 10 Sep 2009 07:31:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:36:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.